.TH GF 1 "1995-09-21"
.SH NAME
gf \- SGML formatter for a few DTDs
.SH SYNOPSIS
.B gf [options] file ...
.br
Options:
.br
[\-pvV] [\-f format] [\-n DTD] [\-o outfile] [\-s style-sheet]
[\-x parser-flags]
.br
[\-\-format=format] [\-\-help] [\-\-new=DTD] [\-\-output=outfile]
[\-\-parse-only] [\-\-parse-options=parser-flags] [\-\-style=style-sheet]
[\-\-style-help] [\-\-verbose] [\-\-version]
.SH DESCRIPTION
.I gf
is an SGML formatting/conversion utility for documents conforming to a number
of DTDs. Output formats are LaTeX, plain text, RTF and Texinfo, although
not every output is supported for every DTD.
.SH OPTIONS
.TP
.I "\-f format \-\-format=format"
Select the output format. Use the -v option to obtain a list of 
supported output formats. E.g., latex2e, rtf, ab, texinfo.
.TP
.I "\-\-help"
Print a usage summary and exit.
.TP
.I "\-n DTD \-\-new=DTD"
Create a new SGML document by copying from a template, e.g.,
.br
gf \-nsmemo foo.sgml
.br 
which will create foo.sgml.
.I DTD
can be any supported DTD.
The search pattern for templates is described below.
.TP
.I "\-o outfile, \-\-output=outfile"
The file to which the output is written. The default is to
send it to the standard output.
.TP
.I "\-p \-\-parse-only"
Only parse the document, do not format it.
.TP
.I "\-s style-sheet, \-\-style=style-sheet"
Specify a style sheet file, overriding the default search pattern
described below.
.TP
.I "\-\-style-help"
Print the settings of the style options for the DTD of the current document
and the formatter specified on the command line.  Also gives a brief
description of each option.
.TP
.I "\-v \-\-verbose"
Verbose mode. The version of gf and the supported formatters and
DTDs will be written to the standard error before the
document is formatted. During formatting, all attempts by gf to access files
will be printed to the standard error. Note that this excludes files
which are only accessed by nsgmls.
.TP
.I "\-V \-\-version"
Print the version of the program and exit.
.TP
.I "\-x parser-flags, \-\-parse-options=parser-flags"
This allows command line options to be given to the SGML parser (i.e,
nsgmls). For example:
.br
gf \-p \-x"\-v \-s" gf.sgml
.br
will validate the user's guide and print the version of nsgmls for
good measure.
.TP
.I "\-\-"
Arguments following a double hyphen are treated as file names, even
if they look like options.
.TP
.I file...
The name of the SGML file to be formatted. When multiple files are
specified, they are concatenated into a single file. This can be useful
if the SGML declaration/DTD is stored in a separate file from the main
document.

.SH ENVIRONMENT
The following environment variables affect the operation of gf.  In most
cases default values are set when gf is compiled.
.TP
.I GF_CATALOG_FILES
gf sets the value of SGML_CATALOG_FILES to control the behaviour of
nsgmls.  GF_CATALOG_FILES can be set to override this value when
parsing the document.  Note that a file named "catalog" in the same
directory as the document will be be read by nsgmls even if
GF_CATALOG_FILES is not set.
.I GF_LIBDIR
Specifies the system directory containing style sheets, templates, etc.
The default value is set during installation.
.TP
.I GF_USERDIR
Specifies an additional directory containing style sheets, templates, etc.
The default value is $HOME/.gf
.TP
.I HOME
Used when setting the default GF_USERDIR value.
.TP
.I SGML_SEARCH_PATH
This is not set by gf, but may affect the behaviour of nsgmls
.SH STYLE FILES
A gf style file is an SGML document which controls the formatting
process.  When formatting a document there are three locations
which will be searched for a style file. Information from each
style file will be merged into a database, replacing information
read from style files earlier in the path. The locations are:

A file named after the document DTD in a system directory,
e.g., /usr/local/lib/sgml/gf/smemo.style.

A file named after the document DTD in a user subdirectory,
e.g., ~/.gf/smemo.style.

A file in the same directory as the document with a name constructed
from the document, e.g., snafu.style.

The system and user directories and the extension for style files
can be set when compiling gf.

.SH TEMPLATES
The \-n option can be used to create a new document for a particular
DTD. The template is obtained from the first of:

A file in a user directory named after the DTD,
e.g., ~/.gf/smemo.template

A file in a system directory named after the DTD,
e.g., /usr/local/lib/sgml/gf/smemo.template

The system and user directories and the extension of the templates
can be set when compiling gf.
.SH SEE ALSO
nsgmls(1)
.br
gf User's Manual
.br
The Snafu SGML Document Type.

.SH AUTHOR
Gary Houston <ghouston@actrix.gen.nz>
